﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_OTHERPRODUCTRPT') 
 CREATE TABLE T_OM_OTHERPRODUCTRPT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOUTPUTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIAL BIGINT DEFAULT 0 NOT NULL,
FCOMPLETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUALIFYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWORKWASTEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINWAREHOUSEORG BIGINT DEFAULT 0 NOT NULL,
FBATCHNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCORDERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCORDERENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOWNERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINWARCONSIGNER BIGINT DEFAULT 0 NOT NULL,
FPOSITION BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSE BIGINT DEFAULT 0 NOT NULL,
FRECEIVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJUNKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPAIRQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREWORKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRODUCEUNITID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_PROCESSREPORT') 
 CREATE TABLE T_OM_PROCESSREPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREPORTDATE DATETIME,
FSTAFFREPORT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FBASEDATAFIELD BIGINT DEFAULT 0 NOT NULL,
FCHEKCOOPRATION CHAR(1) DEFAULT '0' NOT NULL,
FISCHARGEOFFED CHAR(1) DEFAULT '0' NOT NULL,
FISCHARGEOFF CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_PROCESSRPTENT') 
 CREATE TABLE T_OM_PROCESSRPTENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMANUFACTUREBILL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMANUFACTUREBILLROW BIGINT DEFAULT 0 NOT NULL,
FMANUFACTUREENTRYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FQUALIFYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWORKWASTEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREWORKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPLETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMATERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRUNITID BIGINT DEFAULT 0 NOT NULL,
FREPORTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBATCHNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FMFTTECHNICS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMANUINBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRA BIGINT DEFAULT 0 NOT NULL,
FWORKCENTERID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEPOINT CHAR(1) DEFAULT '0' NOT NULL,
FCONFIRMOPRSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQREPORTCTRL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALCOMPLETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALQUALIFYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALWORKWASTEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALSCRAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALREWORKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSEQUNIT BIGINT DEFAULT 0 NOT NULL,
FMANUFACTUREID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEIVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPAIRQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJUNKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHECKREWORKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_REPOPERATOR') 
 CREATE TABLE T_OM_REPOPERATOR (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FUSERNOID BIGINT DEFAULT 0 NOT NULL,
FQTYFIELD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROPORTION DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_SUBINSTORAGE') 
 CREATE TABLE T_OM_SUBINSTORAGE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMANUFACTURENUN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMANUFACTUREROW BIGINT DEFAULT 0 NOT NULL,
FMATERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIAL BIGINT DEFAULT 0 NOT NULL,
FAUXPROPERTY BIGINT DEFAULT 0 NOT NULL,
FUNITFIELD BIGINT DEFAULT 0 NOT NULL,
FQUALIFYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALWAREHOUSEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALQUALIFYSTORAGEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALSCRAPSTORAGEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINWAREHOUSEORG BIGINT DEFAULT 0 NOT NULL,
FBATCHNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSITION BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINWARCONSIGNER BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSE BIGINT DEFAULT 0 NOT NULL,
FORDERENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCEUNITID BIGINT DEFAULT 0 NOT NULL,
FCONFORMITYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBADCONFORMITYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCARDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBADQUALIFYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUSHWAREHOUSEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUALIFIEDINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBADQUALIFIEDINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRAPINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_SUBREPOPERATOR') 
 CREATE TABLE T_OM_SUBREPOPERATOR (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FUSERNO BIGINT DEFAULT 0 NOT NULL,
FQTYFIELD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROPORTION DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_SUBREPORTACTIVITY') 
 CREATE TABLE T_OM_SUBREPORTACTIVITY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FREPACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FREPBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPACTUALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPACTUALBEGINTIME DATETIME,
FREPACTUALFINISHTIME DATETIME,
FSOURCEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREPRESOURCES BIGINT DEFAULT 0 NOT NULL,
FACTSTANDARDFORMULAID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_table.sql **/
